Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1512582

Summary: unable to `dnf -y --installroot=/tmp/aaa install <something>` with dnf-plugin-spacewalk
Product: [Fedora] Fedora Reporter: Jan Hutař <jhutar>
Component: dnf-plugin-spacewalkAssignee: Michael Mráka <mmraka>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 26CC: jdostal, mmraka
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: dnf-plugin-spacewalk-2.8.4-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-03 08:39:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 1 Jan Hutař 2017-11-13 22:07:28 UTC
Description of problem:
Unable to `dnf -y --installroot=/tmp/aaa install <something>` with dnf-plugin-spacewalk-2.8.3-1.fc25.noarch


Version-Release number of selected component (if applicable):
dnf-plugin-spacewalk-2.8.3-1.fc25.noarch


How reproducible:
always


Steps to Reproduce:
1. # mkdir /tmp/aaa
2. # dnf -y --installroot=/tmp/aaa install bash
   -> first failure with "[Errno 2] No such file or directory: '/tmp/bbb/var/lib/dnf/_spacewalk.json'"
3. # mkdir -p /tmp/aaa/var/lib/dnf/
   # echo '{}' > /tmp/aaa/var/lib/dnf/_spacewalk.json
4. # dnf -y --installroot=/tmp/aaa install bash


Actual results:
# dnf -y --installroot=/tmp/bbb install bash
This system is receiving updates from Spacewalk server.

You have enabled checking of packages via GPG keys. This is a good thing.
However, you do not have any GPG public keys installed. You need to download
the keys for packages you wish to install and install them.
You can do that by running the command:
    rpm --import public.gpg.key


Alternatively you can specify the url to the key you would like to use
for a repository in the 'gpgkey' option in a repository section and DNF
will install it for you.

For more information contact your distribution or package provider.

Problem repository: [None]
exclude: []
minrate: 1000
enablegroups: True
proxy_username: None
ip_resolve: None
sslverify: True
bandwidth: 0
gpgkey: []
proxy: None
username: None
password: None
priority: 99
metadata_expire: 1
gpgcheck: True
name: 'Name test-x86_64-2'
max_parallel_downloads: None
include: []
enabled: True
proxy_password: None
repo_gpgcheck: False
sslcacert: '/etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT'
baseurl: ['https://<fqdn>/XMLRPC/GET-REQ/test-x86_64-2']
skip_if_unavailable: True
mediaid: None
cost: 1000
deltarpm: True
timeout: 120
sslclientcert: None
metalink: None
throttle: 0
fastestmirror: False
sslclientkey: None
mirrorlist: None


Expected results:
IMO both steps 2. and 4. should work. At least these worked for in RHEL6 & yum times.

Comment 2 Michael Mráka 2017-11-27 14:47:42 UTC
Fixed in spacewalk master by
commit 168a9fa142c7263595787fad6b0c81c45923a751
    1512582 - don't fail on empty installroot

Comment 3 Fedora End Of Life 2018-05-03 08:28:28 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jiří Dostál 2018-05-03 08:39:10 UTC
This is fixed in Spacewalk 2.8 and has been released.
https://github.com/spacewalkproject/spacewalk/wiki/ReleaseNotes28